package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.Batch;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 11:59
 * @version: V1.0
 **/
public interface BatchMapper extends BaseMapper<Batch> {

    /**
     * 分页查询批次
     * @param page
     * @param batch
     * @return
     */
    IPage<List<Batch>> getBatchPage(Page page, @Param("query") Batch batch);

}
