package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.CardTrade;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-19 10:08
 * @version: V1.0
 **/
public interface CardTradeMapper extends BaseMapper<CardTrade> {

    /**
     * 分页查询交易
     * @param page
     * @param cardTrade
     * @return
     */
    IPage<List<CardTrade>> getCardTradePage(Page page, @Param("query") CardTrade cardTrade);


    /**
     * 更新状态
     * @param cardTrade
     * @return
     */
    Boolean updateStatus(CardTrade cardTrade);

    /**
     * 获取交易编号列表
     * @param cardTrade
     * @return
     */
    List<CardTrade> getTradeIdList(CardTrade cardTrade);
}
