package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.Batch;
import com.jkcredit.invoice.model.entity.User;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 13:53
 * @version: V1.0
 **/
public interface BatchService extends IService<Batch> {

    /**
     * 批次分页列表
     * @param page
     * @param batch
     * @return
     */
    IPage getBatchPage(Page page, Batch batch);

    /**
     * 创建批次
     * @param id
     * @param batchNumber
     * @param type
     * @param user
     * @return
     */
    Boolean saveBatch(String id, String batchNumber, Integer type, User user);
}
