package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.CarFreeCarrierBillEnd;
import com.jkcredit.invoice.model.entity.SearchInvoiceResult;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-31 11:37
 * @version: V1.0
 **/
public interface CarFreeCarrierBillEndService extends IService<CarFreeCarrierBillEnd> {

    /**
     * 根据运单状态编号查询运单
     * @param num
     * @param isSuccess
     * @return
     */
    List<CarFreeCarrierBillEnd> getEndBillByNum(String num, Integer isSuccess);


    /**
     * 根据运单编号修改运单请求状态
     * @param num
     * @param isSuccess
     */
    void updateIsSuccess(String num,Integer isSuccess);

    /**
     * 分页查询
     * @param page
     * @param carFreeCarrierBillEnd
     * @return
     */
    IPage getCarFreeCarrierBillEndPage(Page page, CarFreeCarrierBillEnd carFreeCarrierBillEnd);

}
