package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.CarFreeCarrierBillStart;
import com.jkcredit.invoice.model.entity.NumInvoice;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-03 17:08
 * @version: V1.0
 **/
public interface NumInvoiceService extends IService<NumInvoice> {

    /**
     * 分页查询
     * @param page
     * @param numInvoice
     * @return
     */
    IPage getNumInvoicePage(Page page, NumInvoice numInvoice);

    /**
     * 批量导入运单
     * @param list
     * @param userId
     * @return
     */
    RespR<Boolean> addNumList(List<CarFreeCarrierBillStart> list, Integer userId);
}
