package com.jkcredit.invoice.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.SearchInvoiceDataMapper;
import com.jkcredit.invoice.model.entity.SearchInvoiceData;
import com.jkcredit.invoice.service.SearchInvoiceDataService;
import org.springframework.stereotype.Service;

@Service
public class SearchInvoiceDataServiceImpl extends ServiceImpl<SearchInvoiceDataMapper, SearchInvoiceData> implements SearchInvoiceDataService {

    @Override
    public IPage getInvoiceDataPage(Page page, SearchInvoiceData searchInvoiceData) {
        IPage object = baseMapper.getSearchInvoiceDataPage(page, searchInvoiceData);
        return object;
    }
}
