package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.CarFreeCarrierBillEnd;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-31 11:36
 * @version: V1.0
 **/
public interface CarFreeCarrierBillEndMapper extends BaseMapper<CarFreeCarrierBillEnd> {

    /**
     * 根据运单状态编号查询运单
     * @param num
     * @param isSuccess
     * @return
     */
    List<CarFreeCarrierBillEnd> getEndBillByNum(String num,Integer isSuccess);

    /**
     * 根据运单编号修改运单请求状态
     * @param num
     * @param isSuccess
     */
    void updateIsSuccess(String num,Integer isSuccess);


    /**
     * 分页查询
     * @param page
     * @param carFreeCarrierBillEnd
     * @return
     */
    IPage<List<CarFreeCarrierBillEnd>> getCarFreeCarrierBillEndPage(Page page, @Param("query") CarFreeCarrierBillEnd carFreeCarrierBillEnd);

}
