package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.NumInvoice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-03 17:04
 * @version: V1.0
 **/
public interface NumInvoiceMapper extends BaseMapper<NumInvoice> {

    /**
     * 分页查询列表
     * @param page
     * @param numInvoice
     * @return
     */
    IPage<List<NumInvoice>> getNumInvoicePage(Page page, @Param("query") NumInvoice numInvoice);
}
