package com.jkcredit.invoice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.Recharge;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 10:43
 * @version: V1.0
 **/
public interface RechargeMapper extends BaseMapper<Recharge> {

    /**
     * 分页查询充值记录
     * @param page
     * @param invoice
     * @return
     */
    IPage<List<Recharge>> getRechargesPage(Page page, @Param("query") Recharge invoice);

}
