package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.B2bInvoiceApply;
import com.jkcredit.invoice.model.entity.CardTrade;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-19 13:44
 * @version: V1.0
 **/
public interface B2bInvoiceApplyService extends IService<B2bInvoiceApply> {

    /**
     * 分页查询
     * @param page
     * @param b2bInvoiceApply
     * @return
     */
    IPage getB2bInvoiceApplyPage(Page page, B2bInvoiceApply b2bInvoiceApply);

    /**
     * 批量申请开票
     * @param cardTradeList
     * @return
     */
    RespR<Boolean> invoiceApply(List<CardTrade> cardTradeList);
}
