package com.jkcredit.invoice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jkcredit.invoice.model.entity.B2bInvoicePackage;
import com.jkcredit.invoice.util.RespR;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-06-21 10:18
 * @version: V1.0
 **/
public interface B2bInvoicePackageService extends IService<B2bInvoicePackage> {

    /**
     * 分页查询
     * @param page
     * @param b2bInvoicePackage
     * @return
     */
    IPage getB2bInvoicePackagePage(Page page, B2bInvoicePackage b2bInvoicePackage);

    /**
     * 根据月份调用打包接口
     * @param b2bInvoicePackage
     * @return
     */
    RespR getInvoicePackage(B2bInvoicePackage b2bInvoicePackage);
}
