package com.jkcredit.invoice.service;

import com.jkcredit.invoice.model.entity.CarFreeCarrierBillEnd;
import com.jkcredit.invoice.model.vo.CarFreeCarrierBillVo;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * @description: 运单service
 * @author: sunzhaoning
 * @create: 2019-05-31 10:31
 * @version: V1.0
 **/
public interface CarFreeCarrierBillService {

    /**
     * 插入运单信息
     * @param list
     * @param userId
     * @return
     */
    RespR<Boolean> addCarFreeCarrierBillList(List<CarFreeCarrierBillVo> list, Integer userId);

    /**
     * 插入运单信息
     * @param list
     * @param userId
     * @return
     */
    RespR<Boolean> addCarFreeCarrierBillHistoryList(List<CarFreeCarrierBillVo> list, Integer userId);

    /**
     * 结束运单
     * @param list
     * @param userId
     * @return
     */
    RespR<Boolean> addCarFreeCarrierBillEndList(List<CarFreeCarrierBillEnd> list, Integer userId);
}

