package com.jkcredit.invoice.service;

import com.jkcredit.invoice.model.entity.CustomerCarRec;
import com.jkcredit.invoice.model.entity.CustomerRec;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * 下游接口服务类
 */
public interface LowerService {
    /**
     * 客户备案
     * @param customerRecs
     * @return
     */
    RespR customeRec(List<CustomerRec> customerRecs);

    /**
     * 客户备案查询
     * @param customerRec
     * @return
     */
    RespR customeRecQueryList(CustomerRec customerRec);

    /**
     * 客户备案查询
     * @param customerRec
     * @return
     */
    RespR customeRecQuery(CustomerRec customerRec);

    /**
     * 车辆备案
     * @param customerCarRec
     * @return
     */
    RespR customerCarRec(List<CustomerCarRec> customerCarRec);

    /**
     * 车辆备案查询
     * @param customerCarRec
     * @return
     */
    RespR customerCarRecQuery(CustomerCarRec customerCarRec);
}
