package com.jkcredit.invoice.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.CarFreeCarrierBillEndMapper;
import com.jkcredit.invoice.model.entity.CarFreeCarrierBillEnd;
import com.jkcredit.invoice.service.CarFreeCarrierBillEndService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-31 11:37
 * @version: V1.0
 **/
@Service
public class CarFreeCarrierBillEndServiceImpl extends ServiceImpl<CarFreeCarrierBillEndMapper, CarFreeCarrierBillEnd> implements CarFreeCarrierBillEndService {

    @Override
    public List<CarFreeCarrierBillEnd> getEndBillByNum(String num, Integer isSuccess) {
        return baseMapper.getEndBillByNum(num, isSuccess);
    }

    @Override
    public void updateIsSuccess(String num, Integer isSuccess) {
        baseMapper.updateIsSuccess(num, isSuccess);
    }

    @Override
    public IPage getCarFreeCarrierBillEndPage(Page page, CarFreeCarrierBillEnd carFreeCarrierBillEnd) {
        return baseMapper.getCarFreeCarrierBillEndPage(page,carFreeCarrierBillEnd);
    }
}
