package com.jkcredit.invoice.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.model.entity.Recharge;
import com.jkcredit.invoice.mapper.RechargeMapper;
import com.jkcredit.invoice.service.RechargeService;
import org.springframework.stereotype.Service;

/**
 * @description:
 * @author: sunzhaoning
 * @create: 2019-05-30 10:48
 * @version: V1.0
 **/
@Service
public class RechargeServiceImpl extends ServiceImpl<RechargeMapper, Recharge> implements RechargeService {

    @Override
    public IPage getRechargesPage(Page page, Recharge recharge) {
        return baseMapper.getRechargesPage(page,recharge);
    }
}
